Skip to main content
POST
/
v2
/
verify
/
etherscan
/
{chainId}
/
{address}
Import from Etherscan
curl --request POST \
  --url https://sourcify.dev/server/v2/verify/etherscan/{chainId}/{address} \
  --header 'Content-Type: application/json' \
  --data '
{
  "apiKey": "<string>"
}
'
{
  "verificationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://hedera-0c6e0218-update-sourcify-migration-issue-508-luke.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

chainId
string
required

The chainId number of the EVM chain

Required string length: 1 - 20
Pattern: ^\d+$
Example:

"11155111"

address
string
required

Contract's 20 byte address in hex string with the 0x prefix. Case insensitive.

Required string length: 42
Pattern: (\b0x[a-fA-F0-9]{40}\b)
Example:

"0x2738d13E81e30bC615766A0410e7cF199FD59A83"

Body

application/json
apiKey
string

API key to use when importing from the Etherscan instance or Etherscan-alike API.

Response

Successfully submitted the verification. The server started to process the verification.

You can follow the verification status via the returned verificationId at GET /v2/verify/{verificationId}

verificationId
string<uuid>
required